> For the complete documentation index, see [llms.txt](https://docs.oobeya.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oobeya.io/installations/oobeya-installation-tutorial-helm/custom-ssl-configuration.md).

# Custom SSL Configuration

### Add new secret object

```
$ vi example-ssl-secret.yml
```

If necessary, you can add multiple SSL files as follows.

```
apiVersion: v1
kind: Secret
metadata:
  name: oobeya-addons-ssl
  namespace: oobeya
type: Opaque
stringData:
  ssl.crt: |
    -----BEGIN CERTIFICATE-----
    -----END CERTIFICATE-----


  tls.key: |
    -----BEGIN CERTIFICATE-----
    -----END CERTIFICATE-----

    
  another-custom-ssl.crt: |
    -----BEGIN CERTIFICATE-----
    -----END CERTIFICATE-----
```

### Edit values.yaml

```
$ vi values.yaml
```

### Find customSSL step

```
customSSL:
    secretSSL:
      enabled: false                # Set false -> true
      name: ""                      # The secret name where SSL files are generated
      mountPath: "/srv/certs"
      certFileNames:
          - ""                      # Write SSL file name, example: "ssl-gitlab.crt"
          - ""                      # If there is one, the name of the other SSL file added
          - ""                      # If there is one, the name of the other SSL file added
```

To confirm that SSLs are actually deployed to the Pod:

```
$ kubectl logs oobeya-addons-xxx-xxx -n oobeya
```

Expected output example:

```
SSL Conf enabled: true
SSL Cert Alias:
SSL Cert Files: ssl.crt tls.key another-custom-ssl.crt
****************************************************************
Copying certificate file with command: cp /srv/certs/ssl.crt /opt/java/openjdk/lib/security/ssl.crt
Certificate was added to keystore

Copying certificate file with command: cp /srv/certs/tls.key /opt/java/openjdk/lib/security/tls.key
Certificate was added to keystore

Copying certificate file with command: cp /srv/certs/another-custom-ssl.crt /opt/java/openjdk/lib/security/another-custom-ssl.crt
Certificate was added to keystore
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oobeya.io/installations/oobeya-installation-tutorial-helm/custom-ssl-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
